import { ElementRef } from '@angular/core';
import * as i0 from "@angular/core";
export declare class WizardNextStepComponent {
    /**
     * Whether or not the next step button should float directly above the footer.
     */
    floating: boolean;
    /**
     * Whether or not element can be hidden when step status is completed.
     */
    set canHide(value: boolean);
    get canHide(): boolean;
    /** @hidden */
    private _canHide;
    /** @hidden */
    private readonly _elRef;
    /** @hidden */
    _getElRef(): ElementRef;
    /** @hidden */
    _showElement(): void;
    /** @hidden */
    _hideElement(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<WizardNextStepComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<WizardNextStepComponent, "fd-wizard-next-step", never, { "floating": { "alias": "floating"; "required": false; }; "canHide": { "alias": "canHide"; "required": false; }; }, {}, never, ["*"], true, never>;
}
